### Constructor

# Ggit Remote new_anonymous

#### Declaration [src]

    GgitRemote*
    ggit_remote_new_anonymous (
      GgitRepository* repository,
      const gchar* url,
      GError** error
    )

#### Description [src]

Creates a remote with the specified refspec in memory. You can use this when you have a URL instead of a remote’s name.

#### Parameters

`repository`

  Type: `GgitRepository`

  A `GgitRepository`.

  The data is owned by the caller of the function.

`url`

  Type: `const gchar*`

  The remote repository’s URL.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitRemote`

A newly allocated `GgitRemote` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.